import 'package:flutter/material.dart';
import 'package:pq_refresh/pq_refresh.dart';

import '../../list/pages/list_page.dart';
import '../../sliver/pages/sliver_page.dart';
import '../controllers/home_controller.dart';

class HomePage extends StatefulWidget {
  const HomePage({Key? key}) : super(key: key);

  @override
  _HomePageState createState() => _HomePageState();
}

class _HomePageState extends State<HomePage> with TickerProviderStateMixin{

  late TabController tabController;
  HomeController get controller => Get.find();

  @override
  void initState() {
    super.initState();

    tabController = TabController(length: 2, vsync: this);
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: TabBarView(
        controller: tabController,
        children: [
          ListPage(),
          SliverPage(),
        ],
      ),
      bottomNavigationBar: Obx(() => BottomNavigationBar(
        currentIndex: controller.currentIndex.value,
        onTap: (int index) {
          tabController.index = index;
          controller.currentIndex.value = index;
        },
        items: [
          BottomNavigationBarItem(label: "List", icon: Icon(Icons.list)),
          BottomNavigationBarItem(label: "Sliver", icon: Icon(Icons.line_style)),
        ],
      )),
    );
  }
}
