import 'package:flutter/material.dart';
import 'package:pq_refresh/pq_refresh.dart';

import '../controllers/sliver_controller.dart';

class SliverPage extends PqPage<SliverController> {
  @override
  Widget builder(BuildContext context) {
    return controller.obx(
      (state) => PqSliverView(
        controller: controller,
        itemBuilder: (context) {
          return [
            SliverGrid.count(
              crossAxisCount: 3,
              children: List.generate(
                12,
                (index) => Container(
                  color: Colors.orange,
                  margin: EdgeInsets.all(8.0),
                  alignment: Alignment.center,
                  child: Text("$index"),
                ),
              ).toList(),
            ),
            Obx(
              () => SliverList(
                delegate: SliverChildBuilderDelegate(
                    (context, index) => SizedBox(
                          height: 44.0,
                          child: Text("$index"),
                        ),
                    childCount: controller.itemCount.value),
              ),
            ),
          ];
        },
      ),
    );
  }
}
