import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'pq_super_controller.dart';

/// * description: 封装一个携带控制器的视图
abstract class PqPage<T extends PqSuperController> extends StatelessWidget {
  /// init method
  const PqPage({Key? key, this.tag}) : super(key: key);

  /// tag
  final String? tag;

  /// 获取controller
  T get controller => GetInstance().find<T>(tag: tag);

  /// 浮窗的默认背景颜色
  final Color hudBgColor = const Color(0x88888888);

  /// default is 44
  final double navHeight = 44;

  /// build method
  @override
  Widget build(BuildContext context) {
    return Stack(
      children: [
        Positioned.fill(child: builder(context)),
        Positioned.fill(
          child: Obx(
            () => Visibility(
              visible: controller.floatingWindow.value,
              child: floatingWindow(),
            ),
          ),
        )
      ],
    );
  }

  /// 构造主体
  Widget builder(BuildContext context);

  /// 悬浮窗
  Widget floatingWindow() {
    return Container(
      margin:
          EdgeInsets.only(top: Get.context!.mediaQueryPadding.top + navHeight),
      color: hudBgColor,
      alignment: Alignment.center,
      child: CircularProgressIndicator(),
    );
  }
}
