import 'package:flutter/material.dart';
import 'package:pq_refresh/src/status_widgets/pq_no_more_data_view.dart';

/// * description: 没有数据的sliver
abstract class PqStatusSliver {
  static SliverToBoxAdapter noMoreData({
    String hint = "- 已显示全部内容 -",
    double fontSize = 13,
    Color textColor = const Color(0xFFCCCCCC),
    Widget? child,
    EdgeInsetsGeometry margin = const EdgeInsets.only(top: 16, bottom: 0),
  }) {
    return SliverToBoxAdapter(
      child: PqNoMoreDataView(
        hint: hint,
        fontSize: fontSize,
        textColor: textColor,
        child: child,
        margin: margin,
      ),
    );
  }

  /// 空Sliver
  static SliverToBoxAdapter empty() {
    return SliverToBoxAdapter(child: SizedBox.shrink());
  }

  /// 带底部padding的Sliver
  static SliverToBoxAdapter bottomPadding() {
    return SliverToBoxAdapter(
      child: Builder(
        builder: (context) {
          return SizedBox(
            height: MediaQuery.of(context).padding.bottom,
          );
        },
      ),
    );
  }

  static SliverToBoxAdapter add(Widget child) {
    return SliverToBoxAdapter(child: child);
  }
}
