import 'package:flutter/material.dart';

/// * description: NoMoreDataView
class PqNoMoreDataView extends StatelessWidget {

  const PqNoMoreDataView({
    this.hint = "- 已显示全部内容 -",
    this.fontSize = 13,
    this.textColor = const Color(0xFFCCCCCC),
    this.child,
    this.margin = const EdgeInsets.only(top: 16, bottom: 0),
  });

  /// 提示文案 默认是 "- 已显示全部内容 -"
  final String hint;

  /// 字体大小
  final double fontSize;

  /// 字体颜色
  final Color textColor;

  /// 自定义, 传入child的时候，[hint]、[fontSize], [textColor] 属性
  /// 自动失效
  final Widget? child;

  /// 默认的margin是 [EdgeInsets.only(top: 16, bottom: 0)]
  final EdgeInsetsGeometry margin;

  @override
  Widget build(BuildContext context) {
    final padding = MediaQuery.of(context).padding;
    final height = padding.bottom + 20;
    return Container(
      height: height,
      margin: margin,
      alignment: Alignment.topCenter,
      child: child ??
          Text(
            hint,
            style: TextStyle(fontSize: fontSize, color: textColor),
          ),
    );
  }
}
