import 'package:flutter/material.dart';

/// * description: 加载动画的Widget
class PqStateLoadingView extends StatelessWidget {
  /// 构造方法
  /// * asset [String] 图片地址
  /// * package [String] 图片包地址
  const PqStateLoadingView({
    Key? key,
    this.strokeWidth = 4.0,
    this.bgColor,
    this.margin,
    this.valueColor,
    this.color,
  }) : super(key: key);
  final Color? bgColor;
  final Color? color;
  final Animation<Color?>? valueColor;
  final EdgeInsetsGeometry? margin;
  final double strokeWidth;

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: margin,
      color: bgColor,
      alignment: Alignment.center,
      child: CircularProgressIndicator(
        color: color,
        valueColor: valueColor,
        strokeWidth: strokeWidth,
      ),
    );
  }
}